For the latest news and information visit The GNU Crypto project

## javax.crypto
Class NoSuchPaddingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.crypto.NoSuchPaddingException

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchPaddingException
extends java.security.GeneralSecurityException

This exception is thrown when a particular padding mechanism is requested but is not available in the environment.

See Also:
  Serialized Form

Constructor Summary
`NoSuchPaddingException()` Constructs a NoSuchPaddingException with no detail message.
`NoSuchPaddingException(java.lang.String msg)` Constructs a NoSuchPaddingException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchPaddingException

    public NoSuchPaddingException()

  Constructs a NoSuchPaddingException with no detail message. A detail message is a String that describes this particular exception.

### NoSuchPaddingException

    public NoSuchPaddingException(java.lang.String msg)

  Constructs a NoSuchPaddingException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.

Parameters:
  `msg` - - the detail message.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.